# $Revision: 1.11 $, $Date: 2008/07/27 22:58:40 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-DOMFilter-LibXML
Summary:	XML::Filter::DOMFilter::LibXML - SAX filter allowing DOM processing of selected subtrees
Summary(pl.UTF-8):	XML::Filter::DOMFilter::LibXML - filtr SAX pozwalający na przetwarzanie DOM wybranych poddrzew
Name:		perl-XML-Filter-DOMFilter-LibXML
Version:	0.02
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9089d02fbd5ff914070af4c3b9142f02
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-LibXML >= 1.53
BuildRequires:	perl-XML-LibXML-SAX
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a compromise between SAX and DOM processing by
allowing to use DOM API to process only reasonably small parts of an
XML document. It works as a SAX filter temporarily building small DOM
trees around parts selected by given XPath expressions (with some
limitations).

%description -l pl.UTF-8
Ten moduł daje kompromis pomiędzy przetwarzaniem SAX i DOM zezwalając
na używanie API DOM do przetwarzania tylko odpowiednio małych części
dokumentu XML. Działa jako filtr SAX tymczasowo budujący małe drzewa
DOM dla części wybranych poprzez podane wyrażenia XPath (z pewnymi
ograniczeniami).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/XML/Filter/DOMFilter
%{perl_vendorlib}/XML/Filter/DOMFilter/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-DOMFilter-LibXML.spec,v $
Revision 1.11  2008/07/27 22:58:40  arekm
- release 3

Revision 1.10  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.8  2004/12/01 10:46:12  radek
- standarized Source0 URL

Revision 1.7  2004/11/03 22:30:55  paladine
- formatting

Revision 1.6  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.5  2004/08/01 22:54:24  ankry
- added missing dir, rel. 2

Revision 1.4  2004/05/06 19:38:10  qboosh
- fixed contact info

Revision 1.3  2004/05/06 18:13:56  qboosh
- pl

Revision 1.2  2004/05/05 20:26:50  radek
- added forgotten md5

Revision 1.1  2004/05/05 20:25:36  radek
- new
